import { ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { ImUser } from '../entity/im-user';
import { ImMessage } from '../entity/im-message';
import { ImWindow } from '../entity/im-window';
import { ViStompService } from '../common/service/vi.stomp.service';
import { ChatService } from '../service/chat.service';
import { Observable } from 'rxjs';
import { MessageService } from '../service/message.service';
export declare class ImChatWindowComponent implements OnInit {
    private _stompService;
    private chatService;
    private messageService;
    el: ElementRef;
    ref: ChangeDetectorRef;
    messages: Observable<Array<ImMessage>>;
    imWindow: ImWindow;
    sender: ImUser;
    sendee: ImUser;
    content: string;
    constructor(_stompService: ViStompService, chatService: ChatService, messageService: MessageService, el: ElementRef, ref: ChangeDetectorRef);
    initWindow(sendee: ImUser, imWindow: ImWindow): void;
    ngOnInit(): void;
    private scroll;
    onEnter(event: any): void;
    private html2Escape;
    close(): void;
    sendMessage(): void;
    scrollToBottom(): void;
}
