import { OnInit } from '@angular/core';
import { ImUser } from './entity/im-user';
import { ChatService } from './service/chat.service';
import { ViStompService } from './common/service/vi.stomp.service';
import { MatSnackBar } from '@angular/material';
import { ImChatWindowComponent } from './im-chat-window/im-chat-window.component';
import { MessageService } from './service/message.service';
import { Router } from '@angular/router';
export declare class ImChatComponent implements OnInit {
    snackBar: MatSnackBar;
    private router;
    private _stompService;
    private chatService;
    private messageService;
    show: boolean;
    user: ImUser;
    chatWindowView: ImChatWindowComponent;
    constructor(snackBar: MatSnackBar, router: Router, _stompService: ViStompService, chatService: ChatService, messageService: MessageService);
    ngOnInit(): void;
    connect(): void;
    close(): void;
}
