import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CommonService, Signalman, PagingData, Constans } from 'viching-file';
import { ImUser } from '../entity/im-user';
export declare const IMCONSTANS: Constans;
export declare class ChatService extends CommonService {
    constructor(http: HttpClient);
    paging(query: PagingData): Observable<Signalman>;
    detail(): Observable<Signalman>;
    update(param: ImUser): Observable<Signalman>;
    addfriend(friendId: string): Observable<Signalman>;
    delfriend(friendId: string): Observable<Signalman>;
    friends(friendId: string): Observable<Signalman>;
    addblack(blackId: string): Observable<Signalman>;
    removeblack(blackId: string): Observable<Signalman>;
    tofriend(blackId: string): Observable<Signalman>;
    blacklist(): Observable<Signalman>;
    userList(): Observable<Signalman>;
    userBoot(): Observable<Signalman>;
    getWinow(userId: string): Observable<Signalman>;
    getWinowLog(query: PagingData): Observable<Signalman>;
    getUserWinow(): Observable<Signalman>;
}
