import { Observable } from 'rxjs';
import { ImMessage } from '../entity/im-message';
import { ViStompService } from '../common/service/vi.stomp.service';
export declare class MessageService {
    private _stompService;
    private subject;
    constructor(_stompService: ViStompService);
    sendMessages(messages: Array<ImMessage>): void;
    sendMessage(message: ImMessage): void;
    clearMessage(): void;
    getMessage(): Observable<ImMessage>;
}
